메인 콘텐츠로 건너뛰기
GET
/
2
/
users
/
{id}
/
mentions
멘션 가져오기
curl --request GET \
  --url https://api.x.com/2/users/{id}/mentions \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "author_id": "2244994945",
      "created_at": "Wed Jan 06 18:40:40 +0000 2021",
      "id": "1346889436626259968",
      "text": "Learn how to use the user Tweet timeline and user mention timeline endpoints in the X API v2 to explore Tweet\\u2026 https:\\/\\/t.co\\/56a0vZUx7i",
      "username": "XDevelopers"
    }
  ],
  "errors": [
    {
      "title": "<string>",
      "type": "<string>",
      "detail": "<string>",
      "status": 123
    }
  ],
  "includes": {
    "media": [
      {
        "type": "<string>",
        "preview_image_url": "<string>",
        "variants": [
          {
            "bit_rate": 123,
            "content_type": "<string>",
            "url": "<string>"
          }
        ],
        "height": 1,
        "media_key": "<string>",
        "width": 1
      }
    ],
    "places": [
      {
        "full_name": "Lakewood, CO",
        "id": "f7eb2fa2fea288b1",
        "contained_within": [
          "f7eb2fa2fea288b1"
        ],
        "country": "United States",
        "country_code": "US",
        "name": "Lakewood",
        "place_type": "city"
      }
    ],
    "polls": [
      {
        "id": "1365059861688410112",
        "options": [
          {
            "label": "<string>",
            "position": 123,
            "votes": 123
          }
        ],
        "duration_minutes": 5042,
        "end_datetime": "2023-11-07T05:31:56Z",
        "voting_status": "open"
      }
    ],
    "topics": [
      {
        "id": "<string>",
        "name": "Technology",
        "description": "All about technology"
      }
    ],
    "tweets": [
      {
        "author_id": "2244994945",
        "created_at": "Wed Jan 06 18:40:40 +0000 2021",
        "id": "1346889436626259968",
        "text": "Learn how to use the user Tweet timeline and user mention timeline endpoints in the X API v2 to explore Tweet\\u2026 https:\\/\\/t.co\\/56a0vZUx7i",
        "username": "XDevelopers"
      }
    ],
    "users": [
      {
        "created_at": "2013-12-14T04:35:55Z",
        "id": "2244994945",
        "name": "X Dev",
        "protected": false,
        "username": "TwitterDev"
      }
    ]
  },
  "meta": {
    "newest_id": "<string>",
    "next_token": "<string>",
    "oldest_id": "<string>",
    "previous_token": "<string>",
    "result_count": 123
  }
}

인증

Authorization
string
header
필수

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

경로 매개변수

id
string
필수

조회할 사용자 ID입니다. 이 사용자에 대한 고유 식별자입니다. 일부 언어나 도구에서 큰 정수를 제대로 처리하지 못하는 문제를 피하기 위해 문자열로 반환됩니다.

Pattern: ^[0-9]{1,19}$
예시:

"2244994945"

쿼리 매개변수

since_id
string

결과 집합에 포함할 최소 게시물 ID입니다. 이 매개변수와 start_time을 모두 지정한 경우, 이 매개변수가 start_time보다 우선 적용됩니다. 이 Tweet의 고유 식별자입니다. 일부 언어 및 도구에서 큰 정수를 처리하지 못해 발생하는 문제를 피하기 위해 문자열로 반환됩니다.

Pattern: ^[0-9]{1,19}$
예시:

"1346889436626259968"

until_id
string

결과 집합에 포함할 최대 게시물 ID입니다. 이 매개변수와 end_time을 모두 지정한 경우, 이 매개변수가 end_time보다 우선 적용됩니다. 이 Tweet의 고유 식별자입니다. 일부 언어 및 도구에서 큰 정수를 처리하지 못해 발생하는 문제를 피하기 위해 문자열로 반환됩니다.

Pattern: ^[0-9]{1,19}$
예시:

"1346889436626259968"

max_results
integer<int32>

반환할 최대 결과 수입니다.

필수 범위: 5 <= x <= 100
pagination_token
string

다음 ‘페이지’의 결과를 가져올 때 사용하는 매개변수입니다. base36 페이지네이션 토큰입니다.

Minimum string length: 1
start_time
string<date-time>

YYYY-MM-DDTHH:mm:ssZ. 포스트를 반환할 때 사용할 최소 UTC 타임스탬프입니다. since_id 파라미터도 지정된 경우에는 since_id 파라미터가 우선합니다.

end_time
string<date-time>

YYYY-MM-DDTHH:mm:ssZ. 포스트를 반환할 때 사용할 최대 UTC 타임스탬프입니다. until_id 파라미터도 지정된 경우에는 until_id 파라미터가 우선합니다.

tweet.fields
enum<string>[]

표시할 Tweet 필드의 쉼표로 구분된 목록입니다. Tweet 객체에서 사용할 수 있는 필드입니다.

Minimum array length: 1
사용 가능한 옵션:
article,
attachments,
author_id,
card_uri,
community_id,
context_annotations,
conversation_id,
created_at,
display_text_range,
edit_controls,
edit_history_tweet_ids,
entities,
geo,
id,
in_reply_to_user_id,
lang,
media_metadata,
non_public_metrics,
note_tweet,
organic_metrics,
possibly_sensitive,
promoted_metrics,
public_metrics,
referenced_tweets,
reply_settings,
scopes,
source,
suggested_source_links,
suggested_source_links_with_counts,
text,
withheld
예시:
[
"article",
"attachments",
"author_id",
"card_uri",
"community_id",
"context_annotations",
"conversation_id",
"created_at",
"display_text_range",
"edit_controls",
"edit_history_tweet_ids",
"entities",
"geo",
"id",
"in_reply_to_user_id",
"lang",
"media_metadata",
"non_public_metrics",
"note_tweet",
"organic_metrics",
"possibly_sensitive",
"promoted_metrics",
"public_metrics",
"referenced_tweets",
"reply_settings",
"scopes",
"source",
"suggested_source_links",
"suggested_source_links_with_counts",
"text",
"withheld"
]
expansions
enum<string>[]

확장할 필드를 쉼표로 구분한 목록입니다. Tweet 객체에서 확장할 수 있는 필드 목록입니다. 필드에 id가 포함된 경우 전체 객체로 확장할 수 있습니다.

Minimum array length: 1
사용 가능한 옵션:
article.cover_media,
article.media_entities,
attachments.media_keys,
attachments.media_source_tweet,
attachments.poll_ids,
author_id,
edit_history_tweet_ids,
entities.mentions.username,
geo.place_id,
in_reply_to_user_id,
entities.note.mentions.username,
referenced_tweets.id,
referenced_tweets.id.attachments.media_keys,
referenced_tweets.id.author_id
예시:
[
"article.cover_media",
"article.media_entities",
"attachments.media_keys",
"attachments.media_source_tweet",
"attachments.poll_ids",
"author_id",
"edit_history_tweet_ids",
"entities.mentions.username",
"geo.place_id",
"in_reply_to_user_id",
"entities.note.mentions.username",
"referenced_tweets.id",
"referenced_tweets.id.attachments.media_keys",
"referenced_tweets.id.author_id"
]
media.fields
enum<string>[]

요청에 포함할 Media 필드의 쉼표로 구분된 목록입니다. Media 객체에서 지정할 수 있는 필드입니다.

Minimum array length: 1
사용 가능한 옵션:
alt_text,
duration_ms,
height,
media_key,
non_public_metrics,
organic_metrics,
preview_image_url,
promoted_metrics,
public_metrics,
type,
url,
variants,
width
예시:
[
"alt_text",
"duration_ms",
"height",
"media_key",
"non_public_metrics",
"organic_metrics",
"preview_image_url",
"promoted_metrics",
"public_metrics",
"type",
"url",
"variants",
"width"
]
poll.fields
enum<string>[]

표시할 Poll 필드를 쉼표로 구분한 목록입니다. Poll 객체에서 사용할 수 있는 필드입니다.

Minimum array length: 1
사용 가능한 옵션:
duration_minutes,
end_datetime,
id,
options,
voting_status
예시:
[
"duration_minutes",
"end_datetime",
"id",
"options",
"voting_status"
]
user.fields
enum<string>[]

요청할 User 필드를 쉼표로 구분한 목록입니다. User 객체에서 사용할 수 있는 필드입니다.

Minimum array length: 1
사용 가능한 옵션:
affiliation,
confirmed_email,
connection_status,
created_at,
description,
entities,
id,
is_identity_verified,
location,
most_recent_tweet_id,
name,
parody,
pinned_tweet_id,
profile_banner_url,
profile_image_url,
protected,
public_metrics,
receives_your_dm,
subscription,
subscription_type,
url,
username,
verified,
verified_followers_count,
verified_type,
withheld
예시:
[
"affiliation",
"confirmed_email",
"connection_status",
"created_at",
"description",
"entities",
"id",
"is_identity_verified",
"location",
"most_recent_tweet_id",
"name",
"parody",
"pinned_tweet_id",
"profile_banner_url",
"profile_image_url",
"protected",
"public_metrics",
"receives_your_dm",
"subscription",
"subscription_type",
"url",
"username",
"verified",
"verified_followers_count",
"verified_type",
"withheld"
]
place.fields
enum<string>[]

요청에 포함할 Place 필드의 쉼표로 구분된 목록입니다. Place 객체에 대해 요청할 수 있는 필드입니다.

Minimum array length: 1
사용 가능한 옵션:
contained_within,
country,
country_code,
full_name,
geo,
id,
name,
place_type
예시:
[
"contained_within",
"country",
"country_code",
"full_name",
"geo",
"id",
"name",
"place_type"
]

응답

요청이 성공했습니다.

data
object[]
Minimum array length: 1
errors
object[]
Minimum array length: 1

IETF RFC 7807(https://tools.ietf.org/html/rfc7807)에 정의된 HTTP Problem Details 객체

includes
object
meta
object